/*
 * Copyright (C) 1994, Silicon Graphics, Inc.
 * All Rights Reserved.
 *
 * This is UNPUBLISHED PROPRIETARY SOURCE CODE of Silicon Graphics, Inc.;
 * the contents of this file may not be disclosed to third parties, copied or
 * duplicated in any form, in whole or in part, without the prior written
 * permission of Silicon Graphics, Inc.
 *
 * RESTRICTED RIGHTS LEGEND:
 * Use, duplication or disclosure by the Government is subject to restrictions
 * as set forth in subdivision (c)(1)(ii) of the Rights in Technical Data
 * and Computer Software clause at DFARS 252.227-7013, and/or in similar or
 * successor clauses in the FAR, DOD or NASA FAR Supplement. Unpublished -
 * rights reserved under the Copyright Laws of the United States.
 */
/*----------------------------------------------------------------------------
 * 
 * file   : reset.c 
 * 
 * Author : Yusuf Attarwala
 * Date   : Sep 93
 * 
 *---------------------------------------------------------------------------*/

#include "globals_vol.h"

resetView() 
{
    int i;

    left   = reset_left ; 
    right  = reset_right ; 
    bottom = reset_bottom ; 
    top    = reset_top ; 
    near   = reset_near ; 
    far    = reset_far ; 

    memcpy(vmat,reset_vmat,sizeof(Matrix));
    memcpy(mmat,reset_mmat,sizeof(Matrix));

    GLXwinset(XtDisplay(glw), XtWindow(glw));
    setProjView(PROJ_TRANSF);
    setProjView(VIEW_TRANSF);
}
